library turkish_cities;

import 'dart:async';
import 'dart:convert' as convert;
import 'package:http/http.dart' as http;

Future<dynamic> find_plate_number_by_city_name(String city) async {
  var response = await http.get(url);

  if (response.statusCode == 200) {
    var jsonResponse = convert.jsonDecode(response.body);
    for (var i = 0; i < 81; i++) {
      if (jsonResponse[i]["name"].toUpperCase() == city.toUpperCase()) {
        return jsonResponse[i]["plate_number"];
      }
    }
    return ('not found: ${city} for plate_number');
  } else {
    return ('Request failed with status: ${response.statusCode}.');
  }
}

Future<String> find_city_region_by_city_name(String city) async {
  var response = await http.get(url);
  if (response.statusCode == 200) {
    var jsonResponse = convert.jsonDecode(response.body);
    for (var i = 0; i < 81; i++) {
      if (jsonResponse[i]["name"].toUpperCase() == city.toUpperCase()) {
        return jsonResponse[i]["region"];
      }
    }
    return ('not found: ${city} for region');
  } else {
    return 'Request failed with status: ${response.statusCode}.';
  }
}

FutureOr<dynamic> find_city_location_by_city_name(String city) async {
  var response = await http.get(url);
  if (response.statusCode == 200) {
    var jsonResponse = convert.jsonDecode(response.body);
    for (var i = 0; i < 81; i++) {
      if (jsonResponse[i]["name"].toUpperCase() == city.toUpperCase()) {
        return jsonResponse[i]["location"].toString();
      }
    }
    return ('not found: ${city} location');
  } else {
    return 'Request failed with status: ${response.statusCode}.';
  }
}

Future<String> find_city_by_plate_number(int plate_number) async {
  var response = await http.get(url);
  if (response.statusCode == 200) {
    var jsonResponse = convert.jsonDecode(response.body);

    if (plate_number <= 81) {
      return jsonResponse[plate_number - 1]["name"].toString();
    } else {
      return ('not found: ${plate_number}. plate');
    }
  } else {
    return ('Request failed with status: ${response.statusCode}.');
  }
}

const url =
    'https://gist.githubusercontent.com/nafidurmus/a445ca04592bde73d9005034e3ea79ea/raw/3932f027f31514c9e24133406dd2558fed5dfcb5/turkish_cities.json';
