import 'package:test/test.dart';
import '../lib/turkish_cities.dart';

main() {
  group('find city by plate number', () {
    test('valid plate number / Adana ', () async {
      expect(await find_city_by_plate_number(1), equals("Adana"));
    });
    test('valid plate number / Düzce ', () async {
      expect(await find_city_by_plate_number(81), equals("Düzce"));
    });
    test('not valid plate number ', () async {
      expect(
          await find_city_by_plate_number(82), equals("not found: 82. plate"));
    });
  });

  group('find location by city name', () {
    test('woriking location / Antalya ', () async {
      expect(await find_city_location_by_city_name("Antalya"),
          equals('{latitude: 36.8841, longitude: 30.7056}'));
    });
    test('woriking location with uppercase / Antalya ', () async {
      expect(await find_city_location_by_city_name("AnTalya"),
          equals("{latitude: 36.8841, longitude: 30.7056}"));
    });
    test('not valid city for location ', () async {
      expect(await find_city_location_by_city_name("82"),
          equals("not found: 82 location"));
    });
  });

  group('find region by city name', () {
    test('woriking region / Antalya ', () async {
      expect(await find_city_region_by_city_name("Antalya"), equals('Akdeniz'));
    });
    test('woriking region with uppercase / Antalya ', () async {
      expect(await find_city_region_by_city_name("AnTalya"), equals("Akdeniz"));
    });
    test('not valid city for region ', () async {
      expect(await find_city_region_by_city_name("82"),
          equals("not found: 82 for region"));
    });
  });

  group('find plate_number by city name', () {
    test('woriking plate_number / Antalya ', () async {
      expect(await find_plate_number_by_city_name("Antalya"), equals(7));
    });
    test('woriking plate_number with uppercase / Antalya ', () async {
      expect(await find_plate_number_by_city_name("ANTALYA"), equals(7));
    });
    test('not valid city for plate_number ', () async {
      expect(await find_plate_number_by_city_name("82"),
          equals("not found: 82 for plate_number"));
    });
  });
}
